> For the complete documentation index, see [llms.txt](https://docs.umbraco.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.umbraco.com/umbraco-commerce/17.latest/reference/shipping/realtime-rate-shipping.md).

# Realtime Rate Shipping

Realtime rate shipping in Umbraco Commerce allows you to define real-time, up-to-the-minute shipping estimates directly from the shipping operators.

## Configuring Realtime Rate Shipping

To configure Realtime Rate Shipping, follow these steps:

1. Go to **Settings** > **Stores** > {Your Store} > **Shipping Methods**.

   ![Shipping Methods](/files/wvmmOOfzJHPwY87vsi8y)
2. Click **Create Shipping Method**.
3. Choose the shipping provider for the shipping operator you wish to use.

   ![Choose Shipping Provider](/files/okT7YTKrsXJ3187hREAy)
4. Choose **Realtime** as the calculation mode option.

   ![Choose Shipping Calculation Mode](/files/j7hLhWRYlnxjuWfasYeX)
5. Enter the **Shipping Method Name**, **Alias**, and **SKU**.
6. Select the tax class from the **Tax Class** dropdown list.

   ![Shipping Method Details](/files/ssopVaki9M1EPu202qLY)
7. Enter the shipping provider's API credentials required to connect to the shipping operator's API.

   ![Shipping Method Settings](/files/nmUQVRdTnMmyvLbKEMUG)
8. Configure any additional charges for this shipping method.

   ![Shipping Method Options](/files/c7fYy4CxWESnk2INUleW)
9. Select the countries this shipping method should be allowed in.

   ![Shipping Method Allowed Countries](/files/jEiHH3YObYiKoZPTrKMS)
10. Click **Save**.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.umbraco.com/umbraco-commerce/17.latest/reference/shipping/realtime-rate-shipping.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
